> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Org Variables

> Update variables for a specific org.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json patch /orgs/{org_id}/variables
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/variables:
    patch:
      tags:
        - Orgs Variables
      summary: Update Org Variables
      description: Update variables for a specific org.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      requestBody:
        description: An array of org variables to update.
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/OrgVariableSchema'
          multipart/form-data:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/OrgVariableSchema'
      responses:
        '200':
          description: An array of updated org variables.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OrgVariableSchema'
components:
  schemas:
    OrgVariableSchema:
      type: object
      properties:
        key:
          type: string
          maxLength: 128
          pattern: ^[a-zA-Z_][a-zA-Z_0-9]*$
          description: The key of the org variable
        value:
          type: string
          maxLength: 2048
          description: The value of the org variable
        secret:
          type: boolean
          description: Indicates if the variable is a secret
          example: true
      required:
        - key
      description: Detailed information about a variable in your org
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````